<?php
use Bitrix\Main\ORM\Data\DataManager;
use Bitrix\Main\ORM\Fields\IntegerField;
use Bitrix\Main\ORM\Fields\StringField;

class BifitKassaReportsTable extends DataManager
{
	public static function getDBTableName()
	{
		return 'bifit_kassa_reports';
	}

	public static function getMap()
	{
		return array(
			new IntegerField('ID', array(
				'primary' => true,
				'column_name' => 'ID'
			)),
			new IntegerField('ORDER_ID', array(
				'required' => true,
				'column_name' => 'ORDER_ID'
			)),
			new StringField('ORDER_NUMBER', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'ORDER_NUMBER'
			)),
			new StringField('ORDER_DATE', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'ORDER_DATE'
			)),
			new StringField('ACTION_DATE', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'ACTION_DATE'
			)),
			new StringField('RECEIPT_LINK', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'RECEIPT_LINK'
			)),
			new IntegerField('RECEIPT_ID', array(
				'required' => true,
				'column_name' => 'RECEIPT_ID'
			)),
			new StringField('RECEIPT_TYPE', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'RECEIPT_TYPE'
			)),
			new StringField('LOG', array(
				'default_value' => '',
				'required' => false,
				'column_name' => 'LOG'
			))
		);
	}
}